### Method

# Gtk Snapshot push_color_matrix

#### Declaration [src]

    void
    gtk_snapshot_push_color_matrix (
      GtkSnapshot* snapshot,
      const graphene_matrix_t* color_matrix,
      const graphene_vec4_t* color_offset
    )

#### Description [src]

Modifies the colors of an image by applying an affine transformation in RGB space.

The image is recorded until the next call to gtk_snapshot_pop().

#### Parameters

`color_matrix` | `const graphene_matrix_t*`
| The color matrix to use.
| The data is owned by the caller of the function.
`color_offset` | `const graphene_vec4_t*`
| The color offset to use.
| The data is owned by the caller of the function.